Package org.spongepowered.asm.mixin.extensibility

## Interface IEnvironmentTokenProvider

    public interface IEnvironmentTokenProvider

Provides a token value into the attached environment

### Field Summary

Fields
`static int` `DEFAULT_PRIORITY` Default token provider priority

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getPriority()` Get the priority for this provider, should return a priority relative to `DEFAULT_PRIORITY`.
`java.lang.Integer` `getToken​(java.lang.String token, MixinEnvironment env)` Get the value of the specified token in this environment, or return null if this provider does not have a value for this token.

### Field Detail

#### DEFAULT_PRIORITY

    static final int DEFAULT_PRIORITY

Default token provider priority

See Also:
  Constant Field Values

### Method Detail

#### getPriority

    int getPriority()

Get the priority for this provider, should return a priority relative to `DEFAULT_PRIORITY`.

#### getToken

    java.lang.Integer getToken​(java.lang.String token,
                               MixinEnvironment env)

Get the value of the specified token in this environment, or return null if this provider does not have a value for this token. All tokens are converted to UPPERCASE before being requested from the provider

Parameters:
  `token` - Token (in upper case) to search for
  `env` - Current environment
Returns:
  The token value, or null if this provider does not have the token